/**************
Hub Scores Demo

This demonstrates how to report scores to the hub for the purpose
of ranking players.  The ranks are accessible from the game's hub page.

***************/

#include <dantom/hublib>

world
	hub    = "Dantom.HubScoresDemo"   //the hub path of your game goes here

	//If your hub area is authenticated, you have to specify your key here:
	//key = "Dantom"
	//password = "I forgot!"

mob/verb/report_scores()
	var/scores[0]

	//byondhub.ReportScores would normally be called automatically when the
	//game is finished.  In this "gambling" game, however, we just generate
	//random scores whenever a player requests it.

	for(var/mob/M)
		scores[M] = rand(0,10)

	if(scores.len <= 1)
		usr << "You need to have at least 2 people playing to affect the ranks.  For testing purposes, I will add a couple fakes..."
		scores["Dan"] = rand(0,10)
		scores["Tom"] = rand(0,10)

	byondhub.ReportScores(scores)
